local utils = {}

-- toKeyAndValueArrays{a=1, b=2} -> {"a", "b"}, {1, 2}
function utils.toKeyAndValueArrays(tbl)
	local keys = {}
	local values = {}

	for key, value in pairs(tbl) do
		table.insert(keys, key)
		table.insert(values, value)
	end

	return keys, values
end

return utils