local engine = {}

require 'engine.globals'

engine.gm = require 'engine.manager'
engine.sprite = require 'engine.sprite'
engine.social =  require 'engine.social'
engine.socialHelper =  require 'engine.socialHelper'
engine.networking = require 'engine.networking'
engine.networkingEvents = require 'engine.networkingEvents'
engine.enums = require 'engine.enums'
engine.analyticsHelper = require 'engine.analyticsHelper'

engine.types = {}
engine.types.dom , engine.types.basic_types = unpack(require 'engine.types')

return engine